-- code provided by pgimeno

local timer = require 'hump.timer'
local canvas, dt
local started = false

function love.load()
  canvas = love.graphics.newCanvas()
  love.graphics.setCanvas(canvas)
  love.graphics.clear(0, 0, 0, 255)
  love.graphics.setCanvas()
  love.graphics.push()
end

local function timer_script_start(wait_param)
  sleep = wait_param

  love.filesystem.load('yourcode.lua')()
end

function love.update(dt_param)
  dt = dt_param
end

function love.draw()
  if not started then
    started = true
    love.graphics.setCanvas(canvas)
    love.graphics.pop()
    timer.script(timer_script_start)
    love.graphics.push()
    love.graphics.setCanvas()
  else
    love.graphics.setCanvas(canvas)
    love.graphics.pop()
    timer.update(dt)
    love.graphics.push()
    love.graphics.setCanvas()
  end

  local r,g,b,a = love.graphics.getColor()
  local rgbmode, alphamode = love.graphics.getBlendMode()
  love.graphics.origin()
  love.graphics.setColor(255, 255, 255, 255)
  love.graphics.setBlendMode("replace", "premultiplied")
  love.graphics.draw(canvas)
  love.graphics.setBlendMode(rgbmode, alphamode)
  love.graphics.setColor(r, g, b, a)
end

function love.keypressed(k)
  if k == "escape" then
    return love.event.quit()
  end
end
